<?php
include '_common.php';

if (isset($_POST['ip'])) {
    $ip = $_POST['ip'];
    $remoteData = array();
    for ($i = 0; $i < count($ip); $i++) {
        // db에서 국가정보 , 시티정보, 지도좌표 가져오기 { JSLEE
        $result_geoip = sql_query("
            SELECT
                blocks.latitude,
                blocks.longitude,
                locations.city_name,
                locations.country_name
            FROM
                geoip_city_blocks_ipv4 AS blocks
            JOIN
                geoip_city_locations AS locations
            ON
                blocks.geoname_id = locations.geoname_id
            WHERE
                INET6_ATON('{$ip[$i]}') BETWEEN blocks.start_ip AND blocks.end_ip;
        ");

        if ($result_geoip->num_rows > 0) {
            $row_geoip = $result_geoip->fetch_assoc();
            $remoteIpCountries[$i] = $row_geoip['country_name'];
            $remoteIpCities[$i] = $row_geoip['city_name'];
            $remoteIpLatitudes[$i] = $row_geoip['latitude'];
            $remoteIplongitudes[$i] = $row_geoip['longitude'];
        } else {
            $remoteIpCountries[$i] = '';
            $remoteIpCities[$i] = '';
            $remoteIpLatitudes[$i] = '';
            $remoteIplongitudes[$i] = '';
        }
        // db에서 국가정보 , 시티정보, 지도좌표 가져오기 } JSLEE

        $remoteData[] = array(
            'RemoteIP__'.$i => $remoteIps[$i],
            'RemoteIP_Country__'.$i => $remoteIpCountries[$i],  // IP 국가명
            'RemoteIP_City__'.$i => $remoteIpCities[$i],  // IP city 명
            'RemoteIP_Latitude__'.$i => $remoteIpLatitudes[$i],  // IP 지도상 위도
            'RemoteIP_Longitude__'.$i => $remoteIplongitudes[$i],  // IP 지도상 경도
            'Program__'.$i => $remotePrograms[$i],
            $remotePrograms[$i].'_ID__'.$i => $remoteIds[$i],
            $remotePrograms[$i].'_PWD__'.$i => $remotePasswords[$i]
        );
    }

    echo json_encode($remoteData);
}

?>
